Bug 511391

Summary: unable to enumerate USB device on port
Product: [Fedora] Fedora Reporter: Ray Todd Stevens <raytodd>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 16CC: bob.bogo, cassbeck, chrisa, g.ficara, itamar, kernel-maint, knutjbj, lagarcia, mauricio.teixeira, michael.pope, pembo13, reidr, robinlee.sysu, sha256sum, tom, valent.turkovic, w.heijstek
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: usb first=2.6.25
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 544368 (view as bug list) Environment:
Last Closed: 2013-02-13 21:41:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 544368    
Attachments:
Description Flags
Usefull?
none
/var/log/messages
none
/var/log/messages
none
boot into recovery mode single user, none

Description Ray Todd Stevens 2009-07-14 18:06:26 EDT
This is to reopen bug 446845 which was closed as fc9, when the problem is noted as still occurring.   we could not get the original reporter to update the version

Description of problem:
After updating to kernel 2.6.25.3-18.fc9.i686, the message 
"hub 1-0:1.0: unable to enumerate USB device on port 3"
is being shown during boot.

This was indeed working prior to fc9, but stopped working and has never started working. This is both a message and an actual bug issue.   At least for me my usb hardware worked prior to fc9 and then stopped at the same time that this message showed up and has never started working again.

Version-Release number of selected component (if applicable):
kernel 2.6.25.3-18.fc9.i686

How reproducible:
Always


Steps to Reproduce:
1. Boot kernel 2.6.25.3-18.fc9.i686
2.
3.

Actual Results:
Message on boot "hub 1-0:1.0: unable to enumerate USB device on port 3"

Expected Results:
Boot without this boot warning message. Enumerate USB problem solved.

Additional info:
Comment 1 Mike Pope 2009-07-14 23:58:37 EDT
Just checked this yet again.  At present with kernel-2.6.29.5-191.fc11.x86_64 the message still appears but the kernel does boot, which is at least an improvement from the loop-forever behaviour.  To reiterate, the device that causes the problem is:

Bus 001 Device 009: ID 0424:2228 Standard Microsystems Corp. 9-in-2 Card 
Reader
Bus 001 Device 008: ID 0424:2503 Standard Microsystems Corp. USB 2.0 Hub
Bus 001 Device 006: ID 0424:2504 Standard Microsystems Corp. USB 2.0 Hub

With the device removed the message does not appear.
The USB slot on the device works.  The card reader does not, with known-working cards.  It did work, under F8:-(.
Comment 2 Chris Parkin 2009-12-02 05:47:50 EST
Created attachment 375395 [details]
Usefull?
Comment 3 Chris Parkin 2009-12-02 05:51:04 EST
I've been having this problem for years and it's a major pita.
Currently on F12, kernel-2.6.31.6-145.fc12.x86_64

The most annoying thing is that /var/log/messages is constantly being pumped full of this stuff making the log file useless.

dmesg is also full of this rendering it useless, see attached.
Comment 4 Ray Todd Stevens 2009-12-02 16:09:34 EST
Still a problem in fc12
Comment 5 Steve Bourne 2009-12-04 00:40:10 EST
This prevents my USB mouse from working and is a PITA.  I use a KVM switch and need a mouse for everything else and then another mouse just for this machine running FEDORA/  Is it hard to fix?

Steve
Comment 6 Pete Zaitcev 2009-12-04 13:17:41 EST
There's no "this" that prevents your mouse from working, Steve. There's
a reason, but most likely it's different from Ray's or anyone else.
You should've filed your own bug, but no problem, I am going to clone
the bug for you.
Comment 7 Pete Zaitcev 2009-12-04 13:22:04 EST
See bug 544368 for KVM (srb's problem).
Comment 8 Ray Todd Stevens 2009-12-04 13:45:36 EST
Interesting.  I would wonder if "Need Real Name" doesn't indeed have the same problem.   Ever since this problem showed up I have not been able to use usb devices on this machine.   In this case all I have tried are flash drives.  I end up having to put them in other machines and then cross mount them to use them.
Comment 9 Ray Todd Stevens 2009-12-04 14:22:18 EST
I am going from the statement that his USB mouse is not working.   

I did try a USB mouse that works on my other machines during fc10 and it also fails.  Have not tired it fc11 or fc12.   Have not yet tried any flash drives fc12.
Comment 10 Pete Zaitcev 2009-12-04 14:49:50 EST
See, this confuses me too much. Maybe it's just a duff HC, I cannot tell.
Steve's issue seems more precisely defined, so I can attack it.
If you can isolate the problem somehow, I or someone else may be able
to look at it.
Comment 11 Steve Bourne 2009-12-04 14:56:51 EST
Thanks Pete and sorry for the incorrect report.  I will follow up on #544368 with more specifics.  Plus I will update my profile with a real name :-)

Steve Bourne
Comment 12 Ray Todd Stevens 2009-12-04 15:04:42 EST
Well what do we need to do to define this better?

Right now I have one machine with this problem.

The same exact hardware worked/and still works fine under Unbuto(sp) in another location, but if they load fedora they get the same exact problem.

If I only have one hard drive and no cdrom on the machine this message goes away.

When the message is there USB devices don't work.

When the message is there USB devices which charge from the power lines will not charge.

If the message is not there the devices work fine and charge fine.

The good news on this is that while this is a production system it is the server which manages all of our backups so if you need me to take if off line for testing something this is very possible.
Comment 13 Reid Rivenburgh 2009-12-04 15:13:32 EST
I get this "unable to enumerate" message in /var/log/messages because of (I think) a card reader built in to my computer.  I never need to use it, and I think it doesn't work.  That's not a big deal to me.  But like comment #3, it's pretty annoying that the error is being written to the file 3-4 times a second, endlessly.  It'd be much better if it was written once at boot time, and maybe if the user tries to access the device (if possible).  As it is, after a week my messages file is over 150 MB because of this.  Should this constant writing be (or is it already) its own bug...?  Thanks.
Comment 14 Valent Turkovic 2010-01-12 10:45:29 EST
This bug seams "live and kicking" still on Fedora 12 with kernel 2.6.31.9-174.fc12.i686.

I tried to use external 160GB Imation device with Toshiba HDD and just got bunch of "unable to enumerate USB device on port" lines and the HDD didn't mount :(

After plugging it in windows machine it mounted the HDD without any issue, so I guess this is linux kernel issue and not device related issue.

This external USB HDD case has usb cable with two male USB-A connectors (one used for power+data and other used only for power) on one side and USB mini-A connector on other side.

I figured out that I could try to plug it in one USB-A to USB hub and give it powert via other USB-A directly from other USB port on laptop.

This works, and I don't get "unable to enumerate USB device on port" errors.

Do you need more info regarding my devices used, logs, or any other info?

Is this bug likely to be solved any time soon or is it too hard even for the most hard core kernel hackers? ;)
Comment 15 Pete Zaitcev 2010-01-12 12:07:10 EST
I don't think a kernel hacker can fix insufficient power issues, no matter
how hardcore he or she is.
Comment 16 Ray Todd Stevens 2010-01-12 13:19:09 EST
The problem is not that there is insufficient power, but that the operating system is for some reason detecting insufficient power when indeed there is plenty of power.   In fact in my case it detects insufficient power with no devices at all attached to the USB system and then disables the USB system.   This is also a problem which windows and Ubuntu does not experience on exactly the same hardware.   Also if I do have a device like a flash drive plugged into a USB port it is functional up until this error is experienced.
Comment 17 Valent Turkovic 2010-01-12 15:42:34 EST
Pete you missed the point, the same drive attached in the same way works when using windows, but fails when using ubuntu and fedora. Is this the same bug or should I report new one? And how come the same drive is connected over USB HUB there is no issue?!?
Comment 18 Ray Todd Stevens 2010-01-12 17:32:52 EST
In my case it works under ubuntu or at least it did last time I checked.

It has been commented that this is a very nonspecific error with many many causes.   It sounds like maybe some kind of additional information about which thing caused this error in this case is in order.
Comment 19 Valent Turkovic 2010-01-13 02:35:25 EST
When I got this drive it was formated in fat32, I connected it to my friend's (2-3 years old) laptop running ubuntu 8.10, and using only ONE USB-A connection (data+power), other wasn't used. Drive worked without any issues.
I used mkfs.ext3 to format it and gave it to my friend to use it for a few days.
Next day he said the drive is "dead" but actually he was having "unable to enumerate USB device on port" issues now, even when using both USB-A connectors.
After taking 2.5" hdd drive out of it's original enclosure and using other one drive worked just fine (this was tested on my Fedora 12 laptop). 
I haven't tested other enclosure + older ubuntu laptop.

This is all a mystery to me. Hope this additional information makes some sense to somebody, because it sure doesn't to me.
Comment 20 Valent Turkovic 2010-03-07 09:40:59 EST
# uname -a
Linux nx7300 2.6.32.9-67.fc12.i686 #1 SMP Sat Feb 27 10:00:02 UTC 2010 i686 i686 i386 GNU/Linux

# dmesg
hub 1-0:1.0: unable to enumerate USB device on port 6
hub 1-0:1.0: unable to enumerate USB device on port 6
hub 1-0:1.0: unable to enumerate USB device on port 6
hub 1-0:1.0: unable to enumerate USB device on port 6
hub 1-0:1.0: unable to enumerate USB device on port 6


Any updates regarding this bug?
Comment 21 Valent Turkovic 2010-05-17 08:00:21 EDT
I can confirm this bug on Fedora 13 with 2.6.33.3-85 kernel.

I testet this issue on few different laptops, when booting into Windows on those same laptops USB HDD is recognized without problems and device works.

This is Linux kernel bug.

Do you need more feedback from me? How can I help so that this bug gets fixed sooner?
Comment 22 Ray Todd Stevens 2010-05-17 14:37:37 EDT
Actually this appears to be a bug in the fedora distribution.   

As you say the devices work in windows.   They also work under other distributions.
Comment 23 Chris Parkin 2010-05-18 19:09:45 EDT
The device which caused the problem for me was a USB card reader, in the end I bought another one which has worked fine under Fedora. I'd be willing to donate my old problematic card reader to the cause if its of any use.
Comment 24 Arthur Pemberton 2010-06-07 06:38:55 EDT
Created attachment 421785 [details]
/var/log/messages

I'm having this problem with my 'SanDisk Sansa e260'. I used to work in F11, then didn't work in the last few months. I just upgraded to F13, and it still isn't working.

I don't have a Windows computer to test this on, but I am fairly sure that the MP3 itself works just fine. It doesn't have any 'USB mode' settings, it just operates as as storage device.

I am not plugged in through a hub, nor are there many USB devices attached to the machine.
Comment 25 Valent Turkovic 2010-06-28 08:18:43 EDT
I still have this issue with latest F13 updates. Is there anyway to troubleshoot and find which patch is causing this issue?

Kernel devels do you have a suggestion? Is there some kernel I can test and report back if this bug is fixed or present?
Comment 26 Werner Heijstek 2010-06-29 11:06:45 EDT
I can confirm this bug on Fedora 13 on my Lenovo T61

# uname -a
Linux lenovot61 2.6.33.5-124.fc13.i686.PAE #1 SMP Fri Jun 11 09:42:24 UTC 2010 i686 i686 i386 GNU/Linux

# dmesg
hub 2-0:1.0: unable to enumerate USB device on port 1
usb 2-1: new high speed USB device using ehci_hcd and address 12
usb 2-1: New USB device found, idVendor=0781, idProduct=74d0
usb 2-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
usb 2-1: Product: SanDisk Sansa Clip+
usb 2-1: Manufacturer: SanDisk
usb 2-1: SerialNumber: 710FFA194451B6A80000000000000000
scsi10 : usb-storage 2-1:1.0
btusb_intr_complete: hci0 urb de0d4000 failed to resubmit (1)
btusb_bulk_complete: hci0 urb de0d4800 failed to resubmit (1)
btusb_bulk_complete: hci0 urb de0d4500 failed to resubmit (1)
Comment 27 Werner Heijstek 2010-08-16 04:01:02 EDT
Still the case for kernel version 2.6.33.6-147.2.4.fc13.i686.PAE.
Comment 28 Arthur Pemberton 2010-09-11 16:03:45 EDT
Created attachment 446698 [details]
/var/log/messages

My MP3 players works again with kernel 2.6.34.6-54.fc13.x86_64
Comment 29 Werner Heijstek 2010-09-13 21:23:11 EDT
I can confirm this. My player seems to be fully functional on 2.6.34.6-54.fc13.i686.PAE
Comment 30 Chuck Ebbert 2010-09-14 20:09:24 EDT
I don't think this will ever be fixed in F12.
Comment 31 Valent Turkovic 2011-12-05 02:39:04 EST
This bug is still present in Fedora 16 and in Rawhide. Please reopen it and relabel it from F12 to Rawhide.

This is hardware related.

Intel Chipset drivers have some bug, because same external USB device works if I reboot into Windows or if I try it on other non-intel machines.

Mine Smolt profile:
http://www.smolts.org/client/show/pub_a4d14531-186f-4d21-8e19-3e149e0ee9bf
Comment 32 Valent Turkovic 2011-12-08 02:52:42 EST
Should I create a new bug report?
Comment 33 Ray Todd Stevens 2011-12-09 10:06:32 EST
I don't know if you need a new one or not.   If you do create a new bug not it here, and reference this one and the previous one in the new bug.   Which makes me think that this is redundant.   I don't know that anyone working on the software is actually paying attention to these bugs.
Comment 34 Chuck Ebbert 2011-12-09 10:47:15 EST
(In reply to comment #33)
> I don't know if you need a new one or not.   If you do create a new bug not it
> here, and reference this one and the previous one in the new bug.   Which makes
> me think that this is redundant.   I don't know that anyone working on the
> software is actually paying attention to these bugs.

There are approximately 1000 open kernel bugs.
Comment 35 Ray Todd Stevens 2011-12-09 13:04:54 EST
Well at least we have a status report.   It would be nice if even if nothing was happening on a bug because of this backlog that we get a comment from someone to this effect every six months or so.

Is there anything we can be doing to help track down this bug?
Comment 36 Josh Boyer 2011-12-09 13:19:07 EST
(In reply to comment #35)
> Well at least we have a status report.   It would be nice if even if nothing
> was happening on a bug because of this backlog that we get a comment from
> someone to this effect every six months or so.
> 
> Is there anything we can be doing to help track down this bug?

Yes, actually.

Likely one of the most helpful things you can do is email the upstream linux-usb mailing list and report the issue to them.  They are the domain experts and having them directly in contact with the people having the issue eliminates the middle-man.

Things to note in the email would be:

- USB controller/chipset
- What kind of devices present this error (usb id)
- Which kernel(s) exhibit the problem

Given that this bug seems to have been around for a really long time, that last question might be a bit difficult to answer.

If anyone gets responses from upstream, we can help build test kernels and patches if needs be.  Just put a URL to the mailing list archive there in this bug.
Comment 37 Dave Jones 2012-03-22 12:43:09 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 38 Dave Jones 2012-03-22 12:47:28 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 39 Dave Jones 2012-03-22 12:57:01 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 40 Dave Jones 2012-07-09 18:08:21 EDT
Ray, are you still seeing this on the current builds ?
Comment 41 Knut J BJuland 2012-10-06 16:59:37 EDT
It is still present with Fedora 17 3.5.5-1.fc17.x86_64 #1 SMP Tue Oct 2 22:24:00 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
Comment 42 Knut J BJuland 2012-10-06 17:02:02 EDT
I added this workaround to stop the message.

cd /sys/bus/pci/drivers/ehci_hcd
for i in `ls -d 0000:00:*`;do echo $i > unbind;sleep 5; echo $i > bind; done


Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
Bus 005 Device 004: ID 0461:4d20 Primax Electronics, Ltd 
Bus 007 Device 003: ID 045e:00f1 Microsoft Corp. 
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 009 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 004: ID 03f0:2b11 Hewlett-Packard PSC 2170 series
Bus 001 Device 005: ID 1c6b:a222 Philips & Lite-ON Digital Solutions Corporation 
Bus 001 Device 006: ID 0c45:184c Microdia VoIP Phone
Bus 010 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub


00:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port (rev 13)
00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 1 (rev 13)
00:02.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 2 (rev 13)
00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 3 (rev 13)
00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root Port 7 (rev 13)
00:14.0 PIC: Intel Corporation 5520/5500/X58 I/O Hub System Management Registers (rev 13)
00:14.1 PIC: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad Registers (rev 13)
00:14.2 PIC: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS Registers (rev 13)
00:14.3 PIC: Intel Corporation 5520/5500/X58 I/O Hub Throttle Registers (rev 13)
00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #4
00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #5
00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #6
00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #2
00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio Controller
00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 1
00:1c.2 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express Root Port 3
00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #1
00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #2
00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI Controller #3
00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI Controller #1
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface Controller
00:1f.2 SATA controller: Intel Corporation 82801JI (ICH10 Family) SATA AHCI Controller
00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
01:00.0 SATA controller: Marvell Technology Group Ltd. 88SE9123 PCIe SATA 6.0 Gb/s controller (rev 11)
02:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller (rev 03)
03:00.0 VGA compatible controller: nVidia Corporation GF110 [Geforce GTX 570] (rev a1)
03:00.1 Audio device: nVidia Corporation GF110 High Definition Audio Controller (rev a1)
04:00.0 VGA compatible controller: nVidia Corporation GF110 [Geforce GTX 570] (rev a1)
04:00.1 Audio device: nVidia Corporation GF110 High Definition Audio Controller (rev a1)
05:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E Gigabit Ethernet Controller (rev 12)
07:02.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev c0)
ff:00.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath Architecture Generic Non-Core Registers (rev 05)
ff:00.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath Architecture System Address Decoder (rev 05)
ff:02.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Link 0 (rev 05)
ff:02.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Physical 0 (rev 05)
ff:03.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller (rev 05)
ff:03.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Target Address Decoder (rev 05)
ff:03.4 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Test Registers (rev 05)
ff:04.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Control Registers (rev 05)
ff:04.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Address Registers (rev 05)
ff:04.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Rank Registers (rev 05)
ff:04.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 0 Thermal Control Registers (rev 05)
ff:05.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Control Registers (rev 05)
ff:05.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Address Registers (rev 05)
ff:05.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Rank Registers (rev 05)
ff:05.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 1 Thermal Control Registers (rev 05)
ff:06.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Control Registers (rev 05)
ff:06.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Address Registers (rev 05)
ff:06.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Rank Registers (rev 05)
ff:06.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory Controller Channel 2 Thermal Control Registers (rev 05)
Comment 43 Knut J BJuland 2012-10-06 17:03:11 EDT
Workaround did not work

(In reply to comment #42)
> I added this workaround to stop the message.
> 
> cd /sys/bus/pci/drivers/ehci_hcd
> for i in `ls -d 0000:00:*`;do echo $i > unbind;sleep 5; echo $i > bind; done
> 
> 
> Bus 001 Device 003: ID 0409:0058 NEC Corp. HighSpeed Hub
> Bus 005 Device 004: ID 0461:4d20 Primax Electronics, Ltd 
> Bus 007 Device 003: ID 045e:00f1 Microsoft Corp. 
> Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
> Bus 009 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
> Bus 001 Device 004: ID 03f0:2b11 Hewlett-Packard PSC 2170 series
> Bus 001 Device 005: ID 1c6b:a222 Philips & Lite-ON Digital Solutions
> Corporation 
> Bus 001 Device 006: ID 0c45:184c Microdia VoIP Phone
> Bus 010 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
> 
> 
> 00:00.0 Host bridge: Intel Corporation 5520/5500/X58 I/O Hub to ESI Port
> (rev 13)
> 00:01.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 1 (rev 13)
> 00:02.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 2 (rev 13)
> 00:03.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 3 (rev 13)
> 00:07.0 PCI bridge: Intel Corporation 5520/5500/X58 I/O Hub PCI Express Root
> Port 7 (rev 13)
> 00:14.0 PIC: Intel Corporation 5520/5500/X58 I/O Hub System Management
> Registers (rev 13)
> 00:14.1 PIC: Intel Corporation 5520/5500/X58 I/O Hub GPIO and Scratch Pad
> Registers (rev 13)
> 00:14.2 PIC: Intel Corporation 5520/5500/X58 I/O Hub Control Status and RAS
> Registers (rev 13)
> 00:14.3 PIC: Intel Corporation 5520/5500/X58 I/O Hub Throttle Registers (rev
> 13)
> 00:1a.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #4
> 00:1a.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #5
> 00:1a.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #6
> 00:1a.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI
> Controller #2
> 00:1b.0 Audio device: Intel Corporation 82801JI (ICH10 Family) HD Audio
> Controller
> 00:1c.0 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express
> Root Port 1
> 00:1c.2 PCI bridge: Intel Corporation 82801JI (ICH10 Family) PCI Express
> Root Port 3
> 00:1d.0 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #1
> 00:1d.1 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #2
> 00:1d.2 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB UHCI
> Controller #3
> 00:1d.7 USB Controller: Intel Corporation 82801JI (ICH10 Family) USB2 EHCI
> Controller #1
> 00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev 90)
> 00:1f.0 ISA bridge: Intel Corporation 82801JIR (ICH10R) LPC Interface
> Controller
> 00:1f.2 SATA controller: Intel Corporation 82801JI (ICH10 Family) SATA AHCI
> Controller
> 00:1f.3 SMBus: Intel Corporation 82801JI (ICH10 Family) SMBus Controller
> 01:00.0 SATA controller: Marvell Technology Group Ltd. 88SE9123 PCIe SATA
> 6.0 Gb/s controller (rev 11)
> 02:00.0 USB Controller: NEC Corporation uPD720200 USB 3.0 Host Controller
> (rev 03)
> 03:00.0 VGA compatible controller: nVidia Corporation GF110 [Geforce GTX
> 570] (rev a1)
> 03:00.1 Audio device: nVidia Corporation GF110 High Definition Audio
> Controller (rev a1)
> 04:00.0 VGA compatible controller: nVidia Corporation GF110 [Geforce GTX
> 570] (rev a1)
> 04:00.1 Audio device: nVidia Corporation GF110 High Definition Audio
> Controller (rev a1)
> 05:00.0 Ethernet controller: Marvell Technology Group Ltd. 88E8056 PCI-E
> Gigabit Ethernet Controller (rev 12)
> 07:02.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)]
> IEEE 1394 OHCI Controller (rev c0)
> ff:00.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath
> Architecture Generic Non-Core Registers (rev 05)
> ff:00.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QuickPath
> Architecture System Address Decoder (rev 05)
> ff:02.0 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Link 0 (rev 05)
> ff:02.1 Host bridge: Intel Corporation Xeon 5500/Core i7 QPI Physical 0 (rev
> 05)
> ff:03.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller (rev 05)
> ff:03.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Target Address Decoder (rev 05)
> ff:03.4 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Test Registers (rev 05)
> ff:04.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 0 Control Registers (rev 05)
> ff:04.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 0 Address Registers (rev 05)
> ff:04.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 0 Rank Registers (rev 05)
> ff:04.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 0 Thermal Control Registers (rev 05)
> ff:05.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 1 Control Registers (rev 05)
> ff:05.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 1 Address Registers (rev 05)
> ff:05.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 1 Rank Registers (rev 05)
> ff:05.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 1 Thermal Control Registers (rev 05)
> ff:06.0 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 2 Control Registers (rev 05)
> ff:06.1 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 2 Address Registers (rev 05)
> ff:06.2 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 2 Rank Registers (rev 05)
> ff:06.3 Host bridge: Intel Corporation Xeon 5500/Core i7 Integrated Memory
> Controller Channel 2 Thermal Control Registers (rev 05)
Comment 44 Knut J BJuland 2012-10-07 05:32:57 EDT
This bug appeared in kernel  3.5.5-1.fc17.x86_64, but is not present in   3.5.3-1.fc17.x86_64 #1 SMP. It might be an regression since I have not changed anything on my computer. Please change to Fedora 17 in bug status.
Comment 45 Knut J BJuland 2012-10-08 02:48:57 EDT
Created attachment 623309 [details]
boot into recovery mode single user,

Latest kernel from update.
Comment 46 Knut J BJuland 2012-10-08 15:05:57 EDT
suggest duplicate of 841738
Comment 47 Knut J BJuland 2012-10-09 07:34:54 EDT
I upgrade 3.5.6-1.fc17.x86_64 and I reattach the harddisk dock to the usb 3 port to get the error message to go away. I am now able to connect to the harddisk.
Comment 48 Knut J BJuland 2012-10-10 11:45:23 EDT
I found a problem with usb3 sata docking station.

[ 1803.293840] JBD2: Error -5 detected when updating journal superblock for sdh1-8.
[ 1803.497225] usb 10-1: >new SuperSpeed USB device number 74 using xhci_hcd
[ 1803.510609] usb 10-1: >Parent hub missing LPM exit latency info.  Power management will be impacted.
[ 1803.514364] usb 10-1: >New USB device found, idVendor=174c, idProduct=5106
[ 1803.514367] usb 10-1: >New USB device strings: Mfr=2, Product=3, SerialNumber=1
[ 1803.514368] usb 10-1: >Product: AS2105
[ 1803.514370] usb 10-1: >Manufacturer: ASMedia
[ 1803.514371] usb 10-1: >SerialNumber:             6VPHKLGG
[ 1803.515183] scsi24 : usb-storage 10-1:1.0
[ 1804.516773] scsi 24:0:0:0: >Direct-Access     ST310005 24AS             JC4B
Comment 49 Dave Jones 2012-10-23 11:31:13 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 50 Robin Lee 2012-11-02 03:03:36 EDT
I met the alerts in all current Fedora 17 kernels when I have a remote keyboard and mouse and any other one usb device plugged in:

Bus 002 Device 004: ID 046d:c52e Logitech, Inc. 
Couldn't open device, some information will be missing
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x046d Logitech, Inc.
  idProduct          0xc52e 
  bcdDevice           23.01
  iManufacturer           1 
  iProduct                2 
  iSerial                 0 
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           59
    bNumInterfaces          2
    bConfigurationValue     1
    iConfiguration          4 
    bmAttributes         0xa0
      (Bus Powered)
      Remote Wakeup
    MaxPower               98mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      1 Keyboard
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength      59
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0008  1x 8 bytes
        bInterval               8
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        1
      bAlternateSetting       0
      bNumEndpoints           1
      bInterfaceClass         3 Human Interface Device
      bInterfaceSubClass      1 Boot Interface Subclass
      bInterfaceProtocol      2 Mouse
      iInterface              0 
        HID Device Descriptor:
          bLength                 9
          bDescriptorType        33
          bcdHID               1.11
          bCountryCode            0 Not supported
          bNumDescriptors         1
          bDescriptorType        34 Report
          wDescriptorLength     177
         Report Descriptors: 
           ** UNAVAILABLE **
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x82  EP 2 IN
        bmAttributes            3
          Transfer Type            Interrupt
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0014  1x 20 bytes
        bInterval               2

$ rpm -qa kernel
kernel-3.5.6-1.fc17.x86_64
kernel-3.6.2-4.fc17.x86_64
kernel-3.6.3-1.fc17.x86_64
Comment 51 Robin Lee 2012-11-02 03:04:38 EDT
*** Bug 841738 has been marked as a duplicate of this bug. ***
Comment 52 Robin Lee 2012-11-03 02:38:00 EDT
Tested with kernel-3.6.5-1.fc17.x86_64, the problem disappeared.
Comment 53 Christopher Archer 2012-11-05 23:50:49 EST
(In reply to comment #49)
> # Mass update to all open bugs.
> 
> Kernel 3.6.2-1.fc16 has just been pushed to updates.
> This update is a significant rebase from the previous version.
> 
> Please retest with this kernel, and let us know if your problem has been
> fixed.
> 
> In the event that you have upgraded to a newer release and the bug you
> reported
> is still present, please change the version field to the newest release you
> have
> encountered the issue with.  Before doing so, please ensure you are testing
> the
> latest kernel update in that release and attach any new and relevant
> information
> you may have gathered.
> 
> If you are not the original bug reporter and you still experience this bug,
> please file a new report, as it is possible that you may be seeing a
> different problem. 
> (Please don't clone this bug, a fresh bug referencing this bug in the
> comment is sufficient).

Still happening on this kernel:

[chris@mythpiggy ~]$ uname -a
Linux mythpiggy 3.6.2-1.fc16.x86_64 #1 SMP Wed Oct 17 05:30:01 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[chris@mythpiggy ~]$  dmesg | more
[1118798.442395] hub 2-0:1.0: unable to enumerate USB device on port 8
[1118798.763054] hub 2-0:1.0: unable to enumerate USB device on port 8
[1118799.083728] hub 2-0:1.0: unable to enumerate USB device on port 8
,,,
Comment 54 Robin Lee 2012-11-06 06:03:31 EST
The issue occurred on kernel-3.6.5-1.fc17.x86_64 again.
Comment 55 Christopher Archer 2012-11-06 10:00:32 EST
Latest kernel looks better:

[chris@mythpiggy ~]$ uname -a
Linux mythpiggy 3.6.5-2.fc16.x86_64 #1 SMP Thu Nov 1 03:49:27 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux
[chris@mythpiggy ~]$ dmesg | grep "unable to enumerate USB device"
[chris@mythpiggy ~]$
Comment 56 Amadeus 2012-11-07 13:52:41 EST
I can also confirm that my USB DAC now works with

Linux amd 3.6.5-1.fc17.x86_64 #1 SMP Wed Oct 31 19:37:18 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux


[ 1997.027722] usb 1-2: new high-speed USB device number 4 using ehci_hcd
[ 1997.144819] usb 1-2: config 1 has an invalid interface number: 3 but max is 2
[ 1997.144831] usb 1-2: config 1 has an invalid interface number: 3 but max is 2
[ 1997.144837] usb 1-2: config 1 has an invalid interface number: 3 but max is 2
[ 1997.144843] usb 1-2: config 1 has no interface number 1
[ 1997.145688] usb 1-2: New USB device found, idVendor=0644, idProduct=8038
[ 1997.145694] usb 1-2: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 1997.145700] usb 1-2: Product: TEAC USB AUDIO DEVICE
[ 1997.145704] usb 1-2: Manufacturer: TEAC
[ 1997.148991] input: TEAC TEAC USB AUDIO DEVICE as /devices/pci0000:00/0000:00:12.2/usb1/1-2/1-2:1.0/input/input11
[ 1997.149188] hid-generic 0003:0644:8038.0003: input,hidraw2: USB HID v1.00 Device [TEAC TEAC USB AUDIO DEVICE] on usb-0000:00:12.2-2/input0
[ 1997.185729] usbcore: registered new interface driver snd-usb-audio
Comment 57 Christopher Archer 2012-11-13 02:08:04 EST
Broken again in latest kernel:
Linux mythpiggy 3.6.6-1.fc16.x86_64 #1 SMP Mon Nov 5 16:56:43 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

dmesg output (partial)
[107902.444891] hub 2-0:1.0: unable to enumerate USB device on port 8
[107902.694623] hub 2-0:1.0: unable to enumerate USB device on port 8
[107902.944375] hub 2-0:1.0: unable to enumerate USB device on port 8
[107903.194115] hub 2-0:1.0: unable to enumerate USB device on port 8
[107903.443868] hub 2-0:1.0: unable to enumerate USB device on port 8
Comment 58 Christopher Archer 2012-12-08 02:24:26 EST
Still broken on latest kernel:
Linux mythpiggy 3.6.7-4.fc16.x86_64 #1 SMP Tue Nov 20 20:33:31 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

[  167.771290] hub 2-0:1.0: unable to enumerate USB device on port 8
[  168.092018] hub 2-0:1.0: unable to enumerate USB device on port 8
[  168.412681] hub 2-0:1.0: unable to enumerate USB device on port 8
[  168.733344] hub 2-0:1.0: unable to enumerate USB device on port 8
[  169.053976] hub 2-0:1.0: unable to enumerate USB device on port 8
[  169.374652] hub 2-0:1.0: unable to enumerate USB device on port 8
[  169.695325] hub 2-0:1.0: unable to enumerate USB device on port 8

Such brief respite in kernel 3.6.5-2

Now I'm getting hangs where Gnome Shell is unresponsive, Ctrl-Alt-F2 brings up a terminal but it's filled with endless "unable to enumerate USB device" messages, pumped out at about 3 every second.
Comment 59 Fedora End Of Life 2013-01-16 20:13:33 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 60 Fedora End Of Life 2013-02-13 21:42:11 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.